form {
	text-align: center;
	font-size: 150%;
	padding: 5px;
}

@media only screen and (max-width: 680px), only screen and (max-device-width: 680px) {
	form p {
		margin: -15px 0 0 0;
	}
}

.ligne_formulaire {
	padding: 5px;
	display: flow-root;
}

.ligne_formulaire:hover {
	background-color: rgba(215, 221, 242, 0.1);
}

.ligne_formulaire label {
	font-weight: bold;
	margin: 10px 10px 10px 0;
	float: left;
	width: 45%;
	text-align: right;
}

/***********************************
Formulaire de recherche
***********************************/
	.form_recherche .ligne_formulaire label {
		width: 100%;
		text-align: left;
	}

	.form_recherche .ligne_formulaire .form_dates {
		display: block ruby;
		justify-content: center; /* Centre les colonnes horizontalement */
		gap: 20px; /* Espace entre les colonnes */
	}

	.form_recherche .ligne_formulaire .form_dates div {
		display: flex;
		flex-direction: column; /* Dispose les éléments dans une colonne */
		align-items: center; /* Centre les éléments horizontalement */
		text-align: center; /* Centre le texte */
		width: 49%;
	}

	.form_recherche .ligne_formulaire .form_dates div input {
		margin-top: 15px;
	}
/***********************************
************************************
***********************************/

@media only screen and (max-width: 680px), only screen and (max-device-width: 680px) {
	.ligne_formulaire label {
		width: 100%;
		display: flex;
		text-align: left;
		margin: 0;
	}
}

.ligne_formulaire label {
	color: #6A95C7;
}

input,
select {
	background-color: #e3edf2;
	border: 1px solid #38687e;
	box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2) inset;
	padding: 10px;
	width: 45%;
	border-radius: 8px;
	margin-top: 3px;
	float: left;
}

@media only screen and (max-width: 680px), only screen and (max-device-width: 680px) {
	input,
	select {
		width: 90%;
	}
}

input[type=number] {
	width: 80px;
}

input[type=radio], input[type=checkbox] {
	width: auto;
	margin: 6px 10px 0 0;
}

.bouton_envoi {
	background-color: #E3EDF2;
	border: 2px solid;
	color: #38687E;
	font-weight: bold;
	height: 40px;
	margin-top: 10px;
	width: 250px;
	border-radius: 10px;
	float: none;
	padding: 2px 5px 0;
}

.bouton_envoi:hover {
	border: 2px solid;
	color: #024F23;
	cursor: pointer;
	background-color: #B0CDDB; 
}

@media only screen and (max-width: 700px), only screen and (max-device-width: 700px) {
	.bouton_envoi {
		width: 200px;
	}
}

.champ_obligatoire label {
	color: #FF0000;
}

.champ_obligatoire input,
.champ_obligatoire select {
	border: 2px solid #FF0000;
}

/************************************************
RESULTATS RECHERCHES
************************************************/
	#div_cadre_liste_resultat {
		border: 1px solid;
		color: #858484;
		background-color: #F4F4F4;
		padding: 10px;
		border-radius: 15px;
	}

	#div_cadre_liste_resultat span {
		color: #999999;
		line-height: 35px;
		font-size: 15px;
		font-weight: bold;
		text-decoration: underline;
	}

	#div_cadre_liste_resultat div {
		border-bottom: 1px solid #847070;
		margin: 10px;
		padding: 10px;
		min-height: 40px;
		text-align: left;
	}

	#div_cadre_liste_resultat div i {
		font-size: 50%;
		opacity: 0.5;
	}

	#div_cadre_liste_resultat div iconify-icon {
		font-size: 250%;
		color: #038203;
	}

	#div_cadre_liste_resultat a {
		text-decoration: none;
	}

	#div_cadre_liste_resultat div,
	#div_cadre_liste_resultat div a {
		color: #000000;
	}

	#div_cadre_liste_resultat div ul {
		margin: 15px 0;
		list-style: none;
	}

	#div_cadre_liste_resultat div ul li {
		margin: 8px 0;
	}
/************************************************
*************************************************
************************************************/

/*************************************
Debut - Personnalisation des checkbox
*************************************/
	label.container_checkbox iconify-icon {
		font-size: 150%;
	}

	label.container_checkbox {
		color: #000000;
		font-weight: normal;
		/* width: 44%; */
	}

	.container_checkbox {
		display: block;
		position: relative;
		padding-left: 30px;
		margin-top: 20px;
		margin-bottom: 12px;
		cursor: pointer;
		-webkit-user-select: none;
		-moz-user-select: none;
		-ms-user-select: none;
		user-select: none;
		float: left;
		width: 99%;
	}

	.tableau_des_operations td:nth-child(8) .container_checkbox {
		float: none;
		margin: -10px 0 0 20px;
	}

	@media only screen and (max-width: 890px), only screen and (max-device-width: 890px) {
		.container_checkbox {
			width: 38%;
		}
	}

	@media only screen and (max-width: 550px), only screen and (max-device-width: 550px) {
		.container_checkbox {
			width: 90%;
		}
	}

	/* Hide the browser's default checkbox */
	.container_checkbox input {
		position: absolute;
		opacity: 0;
		cursor: pointer;
		height: 0;
		width: 0;
	}

	/* Create a custom checkbox */
	.checkmark {
		position: absolute;
		top: 1px;
		left: 0;
		height: 20px;
		width: 20px;
		background-color: #D6D6D6;
		border: solid 1px #C1C1C1;
	}

	/* On mouse-over, add a grey background color */
	.container_checkbox:hover input ~ .checkmark {
		background-color: #C1C1C1;
	}

	/* When the checkbox is checked, add a blue background */
	.container_checkbox input:checked ~ .checkmark {
		background-color: #2196F3;
	}

	/* Create the checkmark/indicator (hidden when not checked) */
	.checkmark:after {
		content: "";
		position: absolute;
		display: none;
	}

	/* Show the checkmark when checked */
	.container_checkbox input:checked ~ .checkmark:after {
		display: block;
	}

	/* Style the checkmark/indicator */
	.container_checkbox .checkmark:after {
		left: 6px;
		top: 2px;
		width: 5px;
		height: 10px;
		border: solid white;
		border-width: 0 3px 3px 0;
		-webkit-transform: rotate(45deg);
		-ms-transform: rotate(45deg);
		transform: rotate(45deg);
	}

	/*.container_checkbox:nth-child(even) {
		color: #959595;
	}*/

	/*******************************************
	Début - Personnalisation checkbox glissante
	*******************************************/
		.checkbox_label {
			display: inline-block;
			width: 100px;
			height: 40px;
			cursor: pointer;
			position: relative;
		}

		/* Cacher le bouton checkbox */
		.btn_checkbox {
			display: none;
		}

		/* mettre tous les éléments "span" frères du bouton checkbox en inline-block pour pouvoir les aligner et changer leurs dimensions */
		.btn_checkbox~span {
			display: inline-block;
			width: 100px;
			height: 40px;
			border-radius: 20px;
			vertical-align: middle;
			opacity: 0.7;
			font-size: 24px;
			line-height: 40px;
			font-weight: bold;
			/* positionner tous les span par rapport à leurs parent "label" */
			position: absolute;
			top: 0;
			left: 0;
		}

		.btn_checkbox_150~span {
			width: 150px;
		}

		/* Style initial du span Non */
		#negative_checkbox {
			background: #FF897D;
			color: #E82512;
			text-align: right;
			padding-right: 7px;
			padding-bottom: 2px;
			transition: all 0.5s ease;
		}

		/* Style initial du span "OUI", avec "opacity=0" pour le rendre invisible */
		#affirmative_checkbox {
			background: #6ABC8D;
			color: #2C7D4F;
			text-align: left;
			padding-left: 7px;
			padding-bottom: 2px;
			opacity: 0;
			transition: all 0.5s ease;
		}

		/* style du petit span rond */
		#round_checkbox {
			width: 41px;
			height: 41px;
			top: auto;
			border-radius: 100px;
			background: #FFFFFF;
			box-shadow: 1px 1px 1px rgba(0,0,0,0.2);
			opacity: 0.7;
			transition: all 0.5s ease;
		}

		/* Après changement de l’état du checkbox en "checked" par le clic de l'utilisateur, on déplace le span rond et on affiche le span "OUI" */
		.btn_checkbox:checked ~ #round_checkbox {
			left: 65px;
		}

		.btn_checkbox_150:checked ~ #round_checkbox {
			left: 115px;
		}

		.btn_checkbox:checked~#affirmative_checkbox {
			opacity: 1;
		}
	/*******************************************
	Fin - Personnalisation checkbox glissante
	*******************************************/
/***********************************
Fin - Personnalisation des checkbox
***********************************/

/***************************************
Début - Personnalisation champ recherche
***************************************/
	.ligne_search {
		display: flex;
		justify-content: center;
		align-items: center;
		width: 100%;
		height: 100%;
		margin: -10px auto 10px;
	}

	.ligne_search .search-wrapper {
		position: relative;
		display: flex;
		align-items: center;
		width: 60%;
	}

	.ligne_search iconify-icon {
		position: absolute;
		left: 10px;  /* Ajustez la distance entre l'icône et le bord de l'input */
		pointer-events: none;  /* Empêche l'icône d'interférer avec l'interaction sur l'input */
		font-size: 200%;
	}

	.ligne_search input[type="text"] {
		padding-left: 32px;  /* Ajoutez un espacement pour le placeholder */
		width: 100%;
	}
/***************************************
Fin - Personnalisation champ recherche
***************************************/

/***************************************
début - de la liste des choix de tiers
***************************************/
	.liste_des_tiers_pour_recherche p {
		text-align: left;
		margin: 10px 0;
	}

	.liste_des_tiers_pour_recherche p span {
		font-size: 90%;
		margin-top: 1px !important;
		font-weight: inherit;
	}

	.liste_des_tiers_pour_recherche .close {
		float: left;
		margin: -10px 0 0 5px;
		color: #FF0000;
	}
/***************************************
Fin - de la liste des choix de tiers
***************************************/